awl (0.65-1) unstable; urgency=medium

  * New upstream release 0.65
  * Update copyright years
  * Drop redundant "Priority: optional" and "Rules-Requires-Root: no" fields
    in debian/control
  * Update Doxyfile using "doxygen -u"
  * Add graphviz to Build-Depends, our doxygen config needs "dot"
  * Update debian/watch to version 5 (Gitlab template)
  * Declare compliance with Debian Policy 4.7.4

 -- Florian Schlichting <fsfs@debian.org>  Mon, 11 May 2026 22:34:13 +0200

awl (0.64-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for PHPUnit 11 (Closes: #1039742, #1092141)

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 13:23:08 +0100

awl (0.64-1) unstable; urgency=medium

  * New upstream release 0.64
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.2

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 Mar 2023 21:43:33 +0100

awl (0.63-1) unstable; urgency=medium

  * New upstream release 0.63 (closes: #1005449)
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1

 -- Florian Schlichting <fsfs@debian.org>  Tue, 04 Oct 2022 12:47:10 +0200

awl (0.62-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.37, 0.33.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Changed vcs type from git to Git based on URL.

  [ Florian Schlichting ]
  * New upstream release 0.62
  * Bump debhelper compat to level 13 (no changes necessary)
  * Bump d/watch to version 4 (no changes necessary)
  * Add Rules-Requires-Root: no
  * Update copyright years
  * Declare compliance with Debian Policy 4.5.1

 -- Florian Schlichting <fsfs@debian.org>  Mon, 01 Mar 2021 21:15:31 +0800

awl (0.61-1) unstable; urgency=medium

  * New upstream release (closes: #952182, #956650)
    + fix CVE-2020-11728 "Session::__construct() allows use of the current
      time as a session key"
    + fix CVE-2020-11729 "LSIDLogin() is insecure and can allow user
      impersonation"
  * Bump debhelper compat to level 12
  * Update copyright years
  * Add upstream metadata
  * Declare compliance with Debian Policy 4.5.0

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 Apr 2020 21:37:06 +0200

awl (0.60-1) unstable; urgency=medium

  * New upstream release (closes: #890313)
  * Update debian/watch to changed Gitlab directory layout
  * Update copyright years
  * Declare compliance with Debian Policy 4.3.0

 -- Florian Schlichting <fsfs@debian.org>  Wed, 30 Jan 2019 22:54:03 +0100

awl (0.59-1) unstable; urgency=medium

  * New upstream release (closes: #882894)
  * Declare compliance with Debian Policy 4.1.3

 -- Florian Schlichting <fsfs@debian.org>  Thu, 11 Jan 2018 22:42:11 +0100

awl (0.58-1) unstable; urgency=medium

  * New upstream release (closes: #873592)
  * Update debian/watch to match changed Gitlab download URLs
  * Update debian/rules to use dpkg variables instead of parsing
    dpkg-changelog output
  * Update debian/control: Priority is optional, not extra (obsolete)
  * Declare compliance with Debian Policy 4.1.1

 -- Florian Schlichting <fsfs@debian.org>  Wed, 25 Oct 2017 10:52:29 +0200

awl (0.57-1) unstable; urgency=medium

  * New upstream release (closes: #643907, #703139, #837154, LP: #1554352)
  * Use secure URIs
  * Bump copyright years
  * Use jdupes to remove duplicate files in awl-doc
  * Mark libawl-php and awl-doc "Multi-Arch: foreign" as suggested by the
    Multiarch hinter

 -- Florian Schlichting <fsfs@debian.org>  Mon, 23 Jan 2017 23:11:47 +0100

awl (0.56-2) unstable; urgency=medium

  * Update php (build-)dependencies to work with both php7 and php5. Based on
    the Ubuntu patch by Nishanth Aravamudan (thanks!). Closes: #821672
  * Declare compliance with Debian Policy 3.9.8

 -- Florian Schlichting <fsfs@debian.org>  Tue, 19 Apr 2016 21:26:56 +0200

awl (0.56-1) unstable; urgency=medium

  * New upstream release
  * Remove boilerplate (no-op) Debian maintainer scripts
  * clean source tree before creating orig-source tarball

 -- Florian Schlichting <fsfs@debian.org>  Mon, 11 Jan 2016 18:12:14 +0100

awl (0.55-1) unstable; urgency=low

  * New upstream release
    + RFC compliant (case-insensitive) AUTH_TYPE (closes: #703381)
  * Takeover for the Davical Development Team (first part of #742498).
  * Use short-form debian/rules.
  * Switch to source format 3.0 (quilt).
  * Enable running phpunit tests.
  * Exclude vendor directory from tarball and use Debian's phpunit instead.
  * Clean up duplicate files (symlink identical files in api documentation).
  * Add doc-base registration for the api doc in awl-doc.
  * debian/control: move to section php and clean out Depends
  * Bump dh compat to level 9
  * Add a debian/watch file
  * Switch to copyright-format 1.0 debian/copyright
  * Declare compliance with Debian Policy 3.9.6

 -- Florian Schlichting <fsfs@debian.org>  Mon, 06 Oct 2014 23:44:30 +0200

awl (0.54-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Thu, 07 Mar 2013 00:12:59 +1300

awl (0.53-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Wed, 04 Jul 2012 19:06:03 +1200

awl (0.52-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sun, 17 Jun 2012 22:00:07 +1200

awl (0.51-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Fri, 13 Jan 2012 23:40:04 +1300

awl (0.50-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian warnings.

 -- Andrew McMillan <awm@debian.org>  Wed, 04 Jan 2012 13:49:06 +1300

awl (0.49-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Mon, 24 Oct 2011 20:10:02 +1300

awl (0.48-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sat, 24 Sep 2011 14:03:45 +1200

awl (0.47-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sat, 24 Sep 2011 13:56:27 +1200

awl (0.46-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Sun, 11 Sep 2011 00:07:48 +1200

awl (0.45-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Tue, 21 Sep 2010 14:19:43 +1200

awl (0.44-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 13 Sep 2010 00:36:31 +1200

awl (0.43-0) unstable; urgency=low

  * New upstream release. (closes: #538598)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 15 Apr 2010 20:22:55 +1200

awl (0.42-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 08 Mar 2010 18:19:41 +1300

awl (0.41-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 23 Feb 2010 23:12:33 +1300

awl (0.40-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 05 Feb 2010 00:03:56 -0800

awl (0.39-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 21 Dec 2009 23:33:23 +1300

awl (0.38-0) unstable; urgency=low

  * New upstream release.
  * Full change history no longer kept in Debian changelog.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 06 Oct 2009 09:41:20 -0700

awl (0.37) unstable; urgency=low

    * [XMLDocument] href method now returns an array of hrefs.
    * [Browser] Allow forced result ordering.
    * [Browser] Add a method to retrieve total for a column.
    * [Browser] Add facility for DISTINCT to browser clauses.
    * [Session] Fix unset variables in temporary password requests.
    * [MenuSet] Default to not displaying empty menus.
    * [XMLElement] Return null on no value, rather than returning without a
      value.
    * [User] Display current record better.
    * [iCalendar] More efficient use of memory.
    * [Session] This isn't just a WRMS library any longer...
    * [PgQuery] Move DB version detection out of the DB.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 22 Jun 2009 14:00:17 +1200

awl (0.36) unstable; urgency=low

  * [User] Add new changeusername/changeactive restrictions.
  * [MenuSet] Allow presentation as CSS styled menus.
  * [PgQuery] Get rid of ini_set/ini_get calls.
  * [classBrowser] Allow the enclosing div to be customised.
  * [AWMUtilities] New parameter cleaning function.
  * [MenuSet] Improve default sorting of menu options.
  * [iCalendar] Mask components and clone confidential events.
  * [classBrowser] Move column value replacement into the object.
  * [iCalendar] Correct an error appending components.
  * [DataUpdate] Use SSHA1 by preference on password updates.
  * [Session] local_index_not_logged_in is no longer preceded/followed by calls
    to page-header.php/page-footer.php.
  * [classBrowser] Add methods to SetLimit() and SetOffset() in the query.
  * [DataUpdate] Add a field type for 'interval'.
  * [DataUpdate] Explicitly return a null value for fields which are not set.
  * Various general bugfixes and warning removals.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 10 Apr 2009 21:53:28 +1200

awl (0.34) unstable; urgency=low

  * [General] Use @todo: everywhere for phpdocumentor.
  * [iCalendar] Make iCalComponent usable in preference to iCalendar.
  * [classBrowser] A hook can display the row if it matches a pattern.
  * Better namespace handlin in XML processing.
  * [iCalendar] Add functions for attendee/organizer checking.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 18 Nov 2008 18:05:38 +1300

awl (0.33) unstable; urgency=low

  * Remove a couple of uninitialised variable warnings.
  * [AWLUtilties] Add a quoted_printable_encode function
  * [XMLDocument] New object to assist with namespaced XML document creation.
  * [iCalendar] Remove the expectation that XML will be case folded.
  * [iCalendar] New iCalendar->Add method to add properties which occur
    multiply.
  * [iCalendar] Fix word wrapping.
  * [iCalendar] Add CALSCALE:GREGORIAN to response.
  * [PgQuery] Escaping for newer Postgres versions should be preceded with an
    'E'.
  * [General] Remove lots of uninitialised variable warnings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 28 Oct 2008 20:23:20 +1300

awl (0.32) unstable; urgency=low

  * Include docs & don't compress classTree.js (closes: #493687)
  * Recommend php5|4 rather than depend (closes: #493686)
  * debian/compat should be in the source package.
  * Clean up minor lintian warnings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 16 Sep 2008 14:04:02 +1200

awl (0.31) unstable; urgency=low

  * Packaging changes for Debian upload.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 14 Jul 2008 22:43:45 +1200

awl (0.30) unstable; urgency=low

  * Split API docs to separate package.
  * Add auth_external routine to acknowledge external authentication.
  * [iCalendar] Don't create a property called 'type'
  * Log when deprecated functions are called
  * Reduce uninitialised variable warnings.
  * Close Debian ITP bug (closes: #490438)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 12 Jul 2008 23:08:11 +1200

awl (0.29) unstable; urgency=low

  * Minor code cleanup.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 07 May 2008 21:16:28 +1200

awl (0.28) unstable; urgency=low

  * Remove references to the 'general' database user.
  * Add type cast to work correctly with PostgreSQL 8.3

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 18 Apr 2008 17:32:01 +1200

awl (0.27) unstable; urgency=low

  * Changes to database creation scripts to separate table definitions from
    ownership definitions.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 13 Apr 2008 00:21:46 +1200

awl (0.26) unstable; urgency=low

  * Improve translatability of interfaces.
  * [classBrowser] Provide a pre-formatting hook for column value manipulation.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 13 Apr 2008 00:19:26 +1200

awl (0.25) unstable; urgency=low

  * [iCalendar] Fix naming of Set function.
  * [iCalendar] Fix wrapping of components.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 09 Feb 2008 20:08:21 +1300

awl (0.24) unstable; urgency=low

  * Add the ability to open Database connections persistently.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 23 Jan 2008 23:51:16 +1300

awl (0.23) unstable; urgency=low

  * [iCalendar] Fixes to timezone handling.
  * [iCalendar] Bugfix in SetComponents
  * [XMLElement] Method to return count of sub-elements.
  * [Session] Log detailed error when SSHA passwords are present but not
    supported.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 16 Jan 2008 21:52:28 +1300

awl (0.22) unstable; urgency=low

  * Add a Salted SHA-1 password hashing algorithm compatible with OpenLDAP and
    make it the default.
  * iCalendar: ClearComponents should be recursive.
  * DataUpdate: Add a cache for the field names retrieved from the DB.
  * AuthPlugins: Add an optional 'where' clause to auth_other_awl

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 01 Nov 2007 21:22:00 +1300

awl (0.21) unstable; urgency=low

  * Add support for rendering a restricted set of properties.
  * Disallow login for inactive users in auth_other_awl

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 25 Oct 2007 15:11:17 +1300

awl (0.20) unstable; urgency=low

  * Rewrite of iCalendar.php to fully parse the structure.
  * Allow second-level ordering of Browse widgets.
  * Add optional parameters to PgQuery::BuildOptionList

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 16 Oct 2007 13:30:52 +1300

awl (0.19) unstable; urgency=low

  * More care when recording timezones.
  * New PHPDocumentor structure.
  * Various fixes and enhancements to XMLElement.php
  * New packaging layout.
  * Changes to iCalendar.php to implement CalDAV filters.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 14 Jun 2007 20:31:55 +0100

awl (0.18) unstable; urgency=low

  * Improve formatting of default date.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 18 Apr 2007 22:10:21 +1200

awl (0.17) unstable; urgency=low

  * Added a clone() function for forward compatibility with PHP5.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 19 Mar 2007 12:48:35 +1200

awl (0.16) unstable; urgency=low

  * Fix some warnings under PHP5.
  * Minor change to query logging.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu,  8 Mar 2007 11:02:51 +1300

awl (0.15) unstable; urgency=low

  * Release 0.15.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 19 Feb 2007 21:04:22 +1300

awl (0.14) unstable; urgency=low

  * Add a function for UUID generation.
  * Record what locale we did successfully set.
  * Extended XML handling library to support easier building and
    querying of an internal structure.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 23 Dec 2006 22:17:28 +1300

awl (0.13) unstable; urgency=low

  * Remove unassigned value warnings and others that show up when we enable
    E_NOTICE in php.ini.
  * Allow for something to hook into the authentication process.  Include a
    simple example.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  4 Dec 2006 07:42:53 +1300

awl (0.12) unstable; urgency=low

  * Add BuildConfirmationHash() and CheckConfirmationHash() methods to reduce
    vulnerability to some scripting attacks, when used.
  * Fix incorrect variable name in Translation.php (closes sf-600138)
  * Many enhancements to the iCalendar class.
  * Minor double-error niggle in PgQuery fixed.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 22 Nov 2006 23:08:14 +1300

awl (0.11) unstable; urgency=low

  * Significantly better translation readiness.
  * New release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 10 Nov 2006 15:21:44 +1300

awl (0.10) unstable; urgency=low

  * The beginnings of a framework for doing internationalisation.
  * Fix the Forget Me Not functionality.
  * New release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  6 Nov 2006 10:35:30 +1300

awl (0.9) unstable; urgency=low

  * Actually save the user's roles when they are changed.
  * New release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 27 Oct 2006 12:20:29 +1300

awl (0.8) unstable; urgency=low

  * Fix date style handling and expose the date style on user maintenance.
  * New release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 23 Oct 2006 11:23:55 +1300

awl (0.7-0) unstable; urgency=low

  * Add ability for browser to have arbitrary extra rows.
  * Some code cleanups and documentation additions.
  * Fix minor XML collapse bug.
  * Use YYYY for backward compatibility with PostgreSQL 7.4.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 18 Oct 2006 10:38:57 +1300

awl (0.6-0) unstable; urgency=low

  * Addition of iCalendar library to replace vEvent.
  * Warning removal cleanup.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  8 Oct 2006 19:53:07 +1300

awl (0.5-0) unstable; urgency=low

  * Add a basic library for XML document output.
  * Various enhancements to Vevent.
  * Some changes so PgQuery logs with $c->dbg settings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu,  5 Oct 2006 00:40:39 +1300

awl (0.4-1) unstable; urgency=low

  * Logging changes.
  * Add object for VEVENT iCalendar files.
  * Improvements to User class to render roles.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  1 Oct 2006 20:33:39 +1300

awl (0.4-0) unstable; urgency=low

  * A number of changes due to excessive work on the start of a simple CalDAV
    store.
  * New AWLUtilities.php location for utility functions for logging and other
    useful stuff.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 24 Sep 2006 17:23:20 +1200

awl (0.3-2) unstable; urgency=low

  * Put changelog in the right place.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  1 Aug 2006 08:21:46 +1200

awl (0.3-1) unstable; urgency=low

  * Various changes made for APMS.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 28 Jun 2006 06:47:29 +1200

awl (0.3-0) unstable; urgency=low

  * Add URL escaping possibilities to field values replaced into output.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 10 May 2006 22:10:55 +1200

awl (0.2-2) unstable; urgency=low

  * Some merges from WRMS.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  8 May 2006 08:55:55 +1200

awl (0.2-1) unstable; urgency=low

  * Merges and fixes from WRMS codebase.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu,  4 May 2006 22:31:37 +1200

awl (0.1-1) unstable; urgency=low

  * Initial release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  2 May 2006 07:43:59 +1200
